Summary: Command-line EB and EPWING dictionary search program
Summary(ja): コマンドラインでの EB と EPWING 辞書の検索プログラム
Name: eblook
Version: 1.6.1
Release: 3%{?_dist_release}
URL: http://openlab.ring.gr.jp/edict/eblook/
Source0: http://openlab.ring.gr.jp/edict/eblook/dist/%{name}-%{version}.tar.gz
License: GPLv2
Group: Applications/Accessories

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: eb-devel >= 3.0.1
Requires: eb >= 3.0.1
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

Vendor: Project Vine
Distribution: Vine Linux
Packager: inagaki

%description
Command-line EB and EPWING dictionary search program.

%description -l ja
コマンドラインでの EB と EPWING 辞書の検索プログラム

%prep
%setup -q

%build
%configure --with-eb-conf=%{_sysconfdir}/eb.conf
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_infodir}
#touch %{buildroot}%{_infodir}/dir
install -m 0755 eblook %{buildroot}%{_bindir}
install -m 0644 eblook.info %{buildroot}%{_infodir}

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%post
/sbin/install-info %{_infodir}/eblook.info* %{_infodir}/dir \
        --section="CD-ROM Book Utilities"

%preun
if [ $1 = 0 ] ;then
/sbin/install-info %{_infodir}/eblook.info* %{_infodir}/dir \
        --section="CD-ROM Book Utilities"
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/eblook
%{_infodir}/eblook.info*

%changelog
* Sun Jan  2 2011 IWAI, Masaharu <iwai@alib.jp> 1.6.1-3
- build with eb 4.4.3

* Wed Jul 22 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.6.1-2
- rebuilt with eb-4.4.1
- changed Group to Applications/Accessories

* Mon Sep 22 2008 Shu KONNO <owa@bg.wakwak.com> 1.6.1-1vl5
- applied new versioning policy, spec in utf-8

* Thu Dec 13 2007 IWAI, Masaharu <iwai@alib.jp> 1.6.1-0vl3
- rebuild with eb-4.3

* Fri Oct 22 2004 IWAI, Masaharu <iwai@alib.jp> 1.6.1-0vl2
- add Japanese summary and description

* Mon Jul 12 2004 IWAI, Masaharu <iwai@alib.jp> 1.6.1-0vl1
- new upstream release
- build with eb-4.1

* Tue May  4 2004 IWAI, Masaharu <iwai@alib.jp> 1.6-0vl1
- new upstream release

* Sun Mar 16 2003 IWAI Masaharu <iwai@alib.jp> 1.5.1-0vl2
- rebuild

* Fri Jun 21 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 1.5.1-0vl1
- upstream release

* Tue Jan 22 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp>
- first release for Vine Linux


